> For the complete documentation index, see [llms.txt](https://docs.autogon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autogon.ai/autogon-qore/natural-language-ai/speech-to-text.md).

# Speech To Text

The Speech To Text (STT) API is a robust tool designed to convert spoken language into written text. This API empowers developers to integrate speech recognition capabilities into their applications, enabling users to interact with spoken language for various purposes.

#### Pricing

Requests made to the Speech To Text (STT) API are billed. Prices are based on the number of characters sent to the service to be synthesized into audio.

The pricing for API requests is as follows:

* **Per Request Cost**: 3 units base cost per request.

<mark style="color:green;">`POST`</mark> `https://api.autogon.ai/api/v1/services/speech-to-text/`

#### Headers

| Name                                           | Type   | Description      |
| ---------------------------------------------- | ------ | ---------------- |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json |

#### Request Body

| Name                                    | Type   | Description                                                  |
| --------------------------------------- | ------ | ------------------------------------------------------------ |
| audio<mark style="color:red;">\*</mark> | File   | Audio to be processed and converted to text                  |
| language\_code                          | String | Specifies the language spoken in the audio, defaults to "en" |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success":true,
    "data":{
        "results":[
            {
                "alternatives":[
                    {
                        "transcript":"example audio transcription by Autogon AI",
                        "confidence":0.922834,
                        "words":[]
                    }],
                "resultEndTime":"19.110s",
                "languageCode":"en-gb",
                "channelTag":0
            }],
        "totalBilledTime":"20s",
        "requestId":"7571580858796951372"
        }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.autogon.ai/autogon-qore/natural-language-ai/speech-to-text.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
